%global __os_install_post %{nil}
%define debug_package %{nil}
 
BuildRoot:      %{buildroot}
BuildArch:      noarch
Summary:        Control LEDs and connect button
License:        Proprietary
URL:            https://git.tttech.com/projects/NERVE/repos/nerve-led-controller/
Name:           nerve-led-controller
Version:        0.3.3
Release:        1%{?jenkinsbuild:~build}%{?jenkinsbuild}
Source:         %{name}_%{version}.tar.gz
Group:          Development/Tools
Requires:       nerve-de01
Requires:       python34
Requires:       python34-ruamel-yaml
%{?systemd_requires}
BuildRequires: systemd

 
%description
Control LEDs and connect button

%prep
%setup -q

%build
 
%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT%{_sysconfdir}/nerve
mkdir -p $RPM_BUILD_ROOT%{_unitdir}/ $RPM_BUILD_ROOT%{_presetdir}
mkdir -p $RPM_BUILD_ROOT%{_sharedstatedir}/%{name}
cp -a %{name}.py $RPM_BUILD_ROOT%{_bindir}/%{name}
cp leds-mfn100.yaml $RPM_BUILD_ROOT%{_sysconfdir}/nerve/led-controller.yaml
cp %{name}.service $RPM_BUILD_ROOT%{_unitdir}/
cp 50-%{name}.preset $RPM_BUILD_ROOT%{_presetdir}
 
%files
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/%{name}
%{_unitdir}/%{name}.service
%{_presetdir}/50-%{name}.preset
%{_sharedstatedir}/%{name}
%config(noreplace) %{_sysconfdir}/nerve/led-controller.yaml

%post
%systemd_post %{name}.service
if [ $1 -eq 1 ] ; then
    systemctl start %{name}
fi

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%changelog
* Fri Apr 12 2019 Mathias Ertl <mathias.ertl@tttech.com> 0.3.3-1
- Use /usr/bin/python3.4 instead of /usr/bin/python3
- Fix systemd service dependency

* Mon Feb 25 2019 Mathias Ertl <mathias.ertl@tttech.com> 0.3.2-1
- Connect to port 25521 instead of 22 (for real, this time)

* Mon Feb 25 2019 Mathias Ertl <mathias.ertl@tttech.com> 0.3.1-1
- Connect to port 25521 instead of 22
- Build RPM using 2.1.0 Docker image

* Thu Feb 14 2019 Mathias Ertl <mathias.ertl@tttech.com> 0.3.0-1
- Port script to python3.4
- Keep state over restarts (of either the script or whole machine)
- Implement connect button by blocking all outgoing firewall connections
- Consistently use logging module and refine setup
- Make sure status check runs at most once per second
- Make sending UDP package optional

* Thu Oct 11 2018 Mathias Ertl <mathias.ertl@tttech.com> 0.2.1-1
- Special release that sends a UDP packet to 10.10.10.1:15043.

* Thu Oct 11 2018 Mathias Ertl <mathias.ertl@tttech.com> 0.2.0-1
- Protect loops using try/except clauses
- Start service after nerve-de01 and also require it
- Remove redundant defines from spec file
- Add PyYAML as dependency
- Make disconnect functionality optional
- More consistently use predefined macros

* Mon Apr 16 2018 Mathias Ertl <mathias.ertl@tttech.com> 0.1.0-1
- Initial release.
